## org.apache.poi.ss.formula.ptg
Class TblPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.ControlPtg
              org.apache.poi.ss.formula.ptg.TblPtg

    public final class TblPtg

extends ControlPtg

This ptg indicates a data table. It only occurs in a FORMULA record, never in an ARRAY or NAME record. When ptgTbl occurs in a formula, it is the only token in the formula. This indicates that the cell containing the formula is an interior cell in a data table; the table description is found in a TABLE record. Rows and columns which contain input values to be substituted in the table do not contain ptgTbl. See page 811 of the june 08 binary docs.

Field Summary
`static short` `sid`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`TblPtg(LittleEndianInput in)`

Method Summary
`int` `getColumn()`
`int` `getRow()`
`int` `getSize()`
`java.lang.String` `toFormulaString()` return a string representation of this token alone
`java.lang.String` `toString()` Overridden toString method to ensure object hash is not printed.
`void` `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.ControlPtg
`getDefaultOperandClass, isBaseToken`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### TblPtg

    public TblPtg(LittleEndianInput in)

Method Detail

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### getRow

    public int getRow()

### getColumn

    public int getColumn()

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### toString

    public java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.